
/*
*
*	switches_and_constants.c
* --------------------------------------------------------
*  Switches (program options and debugging / testing)
* 	Global constants - usually maximum values for reduced malloc'ing
*/

/*
*
*	Program constants -  mostly max values to avoid too much dynamic memory allocation
* --------------------------------------------------------
*
*/

// the maximun number of phenotypes we can handle
#define TOTAL_MAX_PHENOTYPES 150
// the maximun number of alleles we can handle
#define TOTAL_MAX_ALLELES 30
// the maximun number of alleles in a phenotype we can handle
#define MAX_ALLELES 20
// number of the column that hold the Group identifier
#define GROUP_COL 0
// number of the column that hold the Sample identifier
#define SAMPLE_COL 1
// the number of columns that hold non-locus data
#define ADDITIONAL_COLS  3


/*
*
* --------------------------------------------------------
*
*/

#define calc_var
#define calc_bounds
#define sampling_histogram

